using SqlSugar;
using System;
using System.Runtime.Serialization;

namespace SlnMesnac.Model.domain
{
    /// <summary>
    /// 字典表
    ///</summary>
    [SugarTable("wcs_base_dictionary"), TenantAttribute("wcs")]
    [DataContract(Name = "字典表")]
    public class WcsBaseDictionary
    {
        /// <summary>
        /// 主键
        /// </summary>
        [SugarColumn(ColumnName = "id", IsPrimaryKey = true, IsIdentity = true)]
        public int Id { get; set; }

        /// <summary>
        /// 字典名
        /// </summary>
        [SugarColumn(ColumnName = "dic_name")]
        public string DicName { get; set; }

        /// <summary>
        /// 对应名
        /// </summary>
        [SugarColumn(ColumnName = "dic_key")]
        public string DicKey { get; set; }

        /// <summary>
        /// 模板
        /// </summary>
        [SugarColumn(ColumnName = "dic_value")]
        public string DicValue { get; set; }

        /// <summary>
        /// 是否可用  0:不可用  1:可用
        /// </summary>
        [SugarColumn(ColumnName = "use_flag")]
        public int UseFlag { get; set; }

        /// <summary>
        /// 小车拿放类型，如果是叉车，背负式一定是00-00，如果是CTU，可能05，00，05代表库位，00是设备
        /// </summary>
        [SugarColumn(ColumnName = "agv_type")]
        public string AgvType { get; set; }

        /// <summary>
        /// 小车执行类型
        /// </summary>
        [SugarColumn(ColumnName = "agv_task_type")]
        public string AgvTaskType { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        [SugarColumn(ColumnName = "created_by")]
        public string CreatedBy { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnName = "created_time")]
        public DateTime CreatedTime { get; set; }

        /// <summary>
        /// 更新人
        /// </summary>
        [SugarColumn(ColumnName = "updated_by")]
        public string UpdatedBy { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnName = "updated_time")]
        public DateTime UpdatedTime { get; set; }
    }
}